package model

type GarbageDataRsp struct {
	Code int                 `json:"code"`
	Msg  string              `json:"msg"`
	Data []GarbageDataDetail `json:"data"`
}

type GarbageDataReq struct {
	DeviceIds []string `json:"deviceIds"`
}
type GarbageDataDetail struct {
	DeviceId            string  `json:"deviceId"`
	StartTime           string  `json:"startTime"`
	EndTime             string  `json:"endTime"`
	PostTime            string  `json:"postTime"`
	BatteryVoltage      float32 `json:"batteryVoltage"`
	BatteryPercentage   float32 `json:"batteryPercentage"`
	SensorCount         int     `json:"sensorCount"`
	SensorOne           float32 `json:"sensorOne"`
	SensorTwo           float32 `json:"sensorTwo"`
	SensorOnePercentage float32 `json:"sensorOnePercentage"`
	SensorTwoPercentage float32 `json:"sensorTwoPercentage"`
	WorkTime            string  `json:"workTime"`
}

type GarbageLoginReq struct {
	Username string `json:"username"`
	Password string `json:"password"`
}
type GarbageLoginRsp struct {
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data struct {
		AccessToken string `json:"access_token"`
	} `json:"data"`
}

const GarbageLoginKey = "garbage_login_token"

const GarbageDataKey = "garbage_data_%s"
