package model

import (
	"iot_manager_service/app/device/dao"
	"time"
)

type CameraDetail struct {
	dao.CameraDevice
	PoleGroupName   string    `json:"poleGroupName"`   //灯杆分组名
	Brand           string    `json:"brand"`           //品牌名称
	Model           string    `json:"model"`           //型号名称
	CameraTypeName  string    `json:"cameraTypeName"`  //摄像头类型名称
	RunState        string    `json:"runState"`        //运行状态
	NetworkState    string    `json:"networkState"`    //网络状态
	EndLineTime     time.Time `json:"endLineTime"`     //最后在线时间
	QueryGatewayIds string    `json:"queryGatewayIds"` //虚拟字段---用作网关调用这里关联
	GatewayName     string    `json:"gatewayName"`     //所属网关名称
	GatewaySn       string    `json:"gatewaySn"`       //所属网关编码
}

type RspCameraList struct {
	Records []CameraDetail `json:"records"` //记录列表
	Current int            `json:"current"` //当前分页
	Size    int            `json:"size"`    //每页数量
	Total   int            `json:"total"`   //总数
	Pages   int            `json:"pages"`   //总页数
}

type ReqCameraRemove struct {
	IDs  int    `json:"ids"`  //分组编码
	SN   string `json:"sn"`   //sn
	Name string `json:"name"` //名称
}

type ReqCameraEnable struct {
	ID     int `json:"id"`     //编码
	Status int `json:"status"` //启用禁用：1启用2禁用
	Name   int `json:"name"`   //名称
	SN     int `json:"sn"`     //sn
}
