package model

import (
	"iot_manager_service/app/device/dao"
	"time"
)

type CaptureDetail struct {
	dao.CaptureUnit
	PoleName        string    `json:"poleName"`        //灯杆名称
	PoleSn          string    `json:"poleSn"`          //灯杆编码
	PoleLat         float32   `json:"poleLat"`         //灯杆纬度
	PoleLng         float32   `json:"poleLng"`         //灯杆经度
	InstallLocation string    `json:"installLocation"` //灯杆地址
	PointName       string    `json:"pointName"`       //卡口名称
	PointSn         string    `json:"pointSn"`         //卡口编码
	PointLocation   string    `json:"pointLocation"`   //卡口位置
	NetworkState    string    `json:"networkState"`    //通讯状态 1在线2离线
	EndLineTime     time.Time `json:"endLineTime"`     //最后在线时间
}

type RspCaptureList struct {
	Records []CaptureDetail `json:"records"` //记录列表
	Current int             `json:"current"` //当前分页
	Size    int             `json:"size"`    //每页数量
	Total   int             `json:"total"`   //总数
	Pages   int             `json:"pages"`   //总页数
}

type RspPointList struct {
	Records []dao.CheckPoint `json:"records"` //记录列表
	Current int              `json:"current"` //当前分页
	Size    int              `json:"size"`    //每页数量
	Total   int              `json:"total"`   //总数
	Pages   int              `json:"pages"`   //总页数
}

type ReqCaptureRemove struct {
	IDs  int    `json:"ids"`  //分组编码
	SN   int    `json:"sn"`   //sn
	Type string `json:"type"` //类型
}
