package model

import (
	"iot_manager_service/app/device/dao"
	"time"
)

type GatewayDetail struct {
	dao.Gateway
	CountLampPole     int                 `json:"countLampPole"`         //关联设备数 //todo 修改返回名
	EndLineTime       time.Time           `json:"endLineTime"`           //最后上线时间
	NetworkState      string              `json:"networkState"`          //网络状态
	RunState          string              `json:"runState"`              //运行状态
	Cpu               string              `json:"cpu"`                   //CPU占有率
	Memory            string              `json:"memory"`                //内存占有率
	AlarmTerminalList []dao.AlarmTerminal `json:"akeyAlarmTerminalList"` //一键告警集合
	CameraList        []dao.CameraDevice  `json:"cameraList"`            //摄像头集合
	CaptureUnitList   []dao.CaptureUnit   `json:"captureUnitList"`       //抓拍单元集合
	InfoBoardList     []dao.InfoBoard     `json:"infoBoardList"`         //信息屏集合
	IpBroadcastList   []dao.IpBroadcast   `json:"ipBroadcastList"`       //IP音柱集合
	LightControlList  []dao.LightControl  `json:"lightControlList"`      //灯控集合
	ZigbeeList        []dao.Zigbee        `json:"zigbeeList"`            //ZigBee集合
	OptoSensorList    []dao.OptoSensor    `json:"optoSensorList"`        //气象站集合
}

type RspGatewayList struct {
	Records []GatewayDetail `json:"records"` //记录列表
	Current int             `json:"current"` //当前分页
	Size    int             `json:"size"`    //每页数量
	Total   int             `json:"total"`   //总数
	Pages   int             `json:"pages"`   //总页数
}

type ReqGatewayRemove struct {
	IDs  int    `json:"ids"`  //分组编码
	SN   string `json:"sn"`   //sn
	Name string `json:"name"` //名称
}
