package model

import (
	"iot_manager_service/app/device/dao"
)

type LampPoleGroupDetail struct {
	dao.LampPoleGroup
	PublicName     string             `json:"publicName"`     // 用于虚拟字段组成的树
	LampPoleVOList []LampPoleDetail   `json:"lampPoleVOList"` //分组下的所有灯杆集合
	CameraList     []dao.CameraDevice `json:"cameraList"`     //智能安防中调用摄像头直播列表
	SwitchBoxList  []dao.SwitchBox    `json:"switchBoxList"`  //智能安防中调用配电箱直播列表
	InfoBoardList  []dao.InfoBoard    `json:"infoBoardList"`  //节目组下查询分组下的信息屏集合
}

type RspLampPoleGroupList struct {
	Records []LampPoleGroupDetail `json:"records"` //记录列表
	Current int                   `json:"current"` //当前分页
	Size    int                   `json:"size"`    //每页数量
	Pages   int                   `json:"pages"`   //总页数
	Total   int                   `json:"total"`   //总数
}

type ReqLampPoleGroupRemove struct {
	IDs  int    `json:"ids"`  //分组编码
	Name string `json:"name"` //分组名
}
