package model

import (
	"iot_manager_service/app/device/dao"
	"time"
)

type LightControlDetail struct {
	dao.LightControl
	EndLineTime  time.Time `json:"endLineTime"`  //最后上线时间
	NetworkState string    `json:"networkState"` //网络状态
	RunState     string    `json:"runState"`     //运行状态
}

type RspLightControlList struct {
	Records []LightControlDetail `json:"records"` //记录列表
	Current int                  `json:"current"` //当前分页
	Size    int                  `json:"size"`    //每页数量
	Total   int                  `json:"total"`   //总数
	Pages   int                  `json:"pages"`   //总页数
}

type ReqLightControlRemove struct {
	IDs  int    `json:"ids"`  //分组编码
	Name string `json:"name"` //名称
}

type ReqLightControlEnable struct {
	ID     int `json:"id"`     //编码
	Status int `json:"status"` //启用禁用：1启用2禁用
	Name   int `json:"name"`   //名称
	SN     int `json:"sn"`     //sn
}

type ReqLightControlSwitch struct {
	HandSwitch int    `json:"handSwitch"` //开关要更改的状态1=开启2=关闭
	HandTime   int    `json:"handTime"`   //手动控制时间(分钟)
	Luminance  int    `json:"luminance"`  //灯光亮度
	Explain    string `json:"explain"`    // 更改说明
	Name       string `json:"name"`       //名称
	SN         string `json:"sn"`         //SN
}
