package service

import (
	"iot_manager_service/app/device/dao"
)

var UtilService = new(utilService)

type utilService struct{}

func (s *utilService) GetDeviceVendor(tenantId, deviceType int) ([]dao.DeviceVendor, error) {
	// 创建查询实例
	device := &dao.DeviceVendor{
		TenantId:   tenantId,
		DeviceType: deviceType,
	}
	vendors, err := device.GetVendor()
	if err != nil {
		return nil, err
	}
	return vendors, nil
}

func (s *utilService) GetDeviceBrand(tenantId, deviceType int) ([]dao.DeviceVendor, error) {
	// 创建查询实例
	device := &dao.DeviceVendor{
		TenantId:   tenantId,
		DeviceType: deviceType,
	}
	vendors, err := device.GetBrand()
	if err != nil {
		return nil, err
	}
	return vendors, nil
}

func (s *utilService) GetDeviceModel(tenantId, deviceType, parentId int) ([]dao.DeviceVendor, error) {
	// 创建查询实例
	device := &dao.DeviceVendor{
		TenantId:   tenantId,
		DeviceType: deviceType,
		ParentId:   parentId,
	}
	vendors, err := device.GetModel()
	if err != nil {
		return nil, err
	}
	return vendors, nil
}

func (s *utilService) GetTenantCode(tenantId int) (*dao.TenantCode, error) {
	// 创建查询实例
	device := &dao.TenantCode{
		TenantID: tenantId,
	}
	tenantCode, err := device.GetTenantCode()
	if err != nil {
		return nil, err
	}
	return &tenantCode, nil
}
