package model

import (
	"iot_manager_service/app/multimedia/dao"
)

const (
	SysTypeInfoBar   = 0
	SysTypeBroadcast = 1
)

type ProgramDetail struct {
	dao.Program
	LibraryIds     string `json:"libraryIds"`     //组合素材ID 逗号分割
	ResolutionName string `json:"resolutionName"` //分辨率
}

type RsqProgramList struct {
	Records []ProgramDetail `json:"records"` //记录列表
	Current int             `json:"current"` //当前分页
	Size    int             `json:"size"`    //每页数量
	Pages   int             `json:"pages"`   //总页数
	Total   int             `json:"total"`   //总数
}

type ReqProgramSubmit struct {
	Name           string `json:"name"`           //名称
	Resolution     int    `json:"resolution"`     //分辨率 枚举编号
	Duration       int64  `json:"duration"`       //统计总时长
	FileSize       int64  `json:"fileSize"`       //统计文件总大小
	ImgDuration    int    `json:"imgDuration"`    //图片播放时长(毫秒)
	Remarks        string `json:"remarks"`        //备注
	SysType        int    `json:"sysType"`        //系统类型：0-信息发布系统，1-广播系统
	LibraryIds     string `json:"libraryIds"`     //组合素材ID 逗号分割
	ResolutionName string `json:"resolutionName"` //分辨率
}

type ProgramDeviceDetail struct {
	PublicName    string          `json:"publicName"`    //灯杆分组名
	InfoBoardList []ProgramDevice `json:"infoBoardList"` //信息屏或ip音柱信息
}

type ProgramDevice struct {
	Id         int    `json:"id"`         //设备id
	PublicName string `json:"publicName"` //设备名
}

type ReqProgramAudit struct {
	Duration           int64  `json:"duration"`           //统计文件时长
	ProgramLibrariesId int    `json:"programLibrariesId"` //节目制作ID
	ImgDuration        int    `json:"imgDuration"`        //图片时长
	NotificationType   string `json:"notificationType"`   //通知类型 组合1短信2邮件3电话4微信
	StartTime          string `json:"startTime"`          //播放开始日期
	EndTime            string `json:"endTime"`            //播放结束日期
	InfoId             string `json:"infoId"`             //设备id组合(原信息屏ID组合)，使用,隔开
	Resolution         int    `json:"resolution"`         //分辨率
	SysType            int    `json:"sysType"`            //系统类型：0-多媒体系统，1-广播系统
}
