package model

import (
	"iot_manager_service/app/data/dao"
	"time"
)

const (
	ModelInfoDefault         = iota
	ModelInfoAirQuality      //空气质量
	ModelInfoPM25            //pm2.5
	ModelInfoPM10            //pm10
	ModelInfoTemprature      //温度
	ModelInfoHumidity        //湿度
	ModelInfowindSpeed       //风速
	ModelInfoPressure        //气压
	ModelInfoNoise           //噪音
	ModelInfoLightIntensity  //光照强度
	ModelInfoWindDirection   //风向
	ModelInfoRainfall        //降雨量
	ModelInfoUltravioletRays //紫外线

	ModelInfoAll = 20 //综合，所有类型
	ModelInfoAQI = 21 //空气质量AQI
)

type EnvironmentDetail struct {
	dao.EnvironmentData
	CreateDate       time.Time `json:"createDate"` //采集日期
	Name             string    `json:"name"`
	Sn               string    `json:"sn"`
	LampPoleLocation string    `json:"lampPoleLocation"`
	LampLng          string    `json:"lampLng"`
	LampLat          string    `json:"lampLat"`
	TenantId         string    `json:"tenantId"`
}
