package model

import "iot_manager_service/app/system/dao"

type RsqRoleList struct {
	Records []dao.Role `json:"records"` //记录列表
	Current int        `json:"current"` //当前分页
	Size    int        `json:"size"`    //每页数量
	Pages   int        `json:"pages"`   //总页数
	Total   int        `json:"total"`   //总数
}

type ReqRoleRemove struct {
	IDs  int64  `json:"ids"`
	Name string `json:"name"`
}

type ReqRoleGrant struct {
	RoleIds      string `json:"roleIds"`      //角色ID
	MenuIds      string `json:"menuIds"`      //菜单权限ID
	DataScopeIds string `json:"dataScopeIds"` //数据权限ID
	ApiScopeIds  string `json:"apiScopeIds"`  //接口权限ID
}

type RspRoleTree struct {
	RoleDetails []RoleDetail `json:"data"`
}

type RoleDetail struct {
	HasChildren bool         `json:"hasChildren"`
	ID          string       `json:"id"`
	ParentId    string       `json:"parentId"`
	Title       string       `json:"title"`
	Key         string       `json:"key"`
	Value       string       `json:"value"`
	Children    []RoleDetail `json:"children"`
}

const ExistChild = "需要删除的记录中存在子角色，请先删除子角色！"
