package model

import "iot_manager_service/app/system/dao"

type UserDetail struct {
	dao.User
	TenantName string `json:"tenantName"` //租户名
	RoleName   string `json:"roleName"`   //角色名
	SexName    string `json:"sexName"`    //性别
}

type RsqUserList struct {
	Records []UserDetail `json:"records"` //记录列表
	Current int          `json:"current"` //当前分页
	Size    int          `json:"size"`    //每页数量
	Pages   int          `json:"pages"`   //总页数
	Total   int          `json:"total"`   //总数
}

type ReqUserRemove struct {
	IDs  int64  `json:"ids"`
	Name string `json:"name"`
}

type ReqUserResetPwd struct {
	IDs int64 `json:"ids"`
}

type ReqUserGrant struct {
	UserIds string `json:"userIds"`
	RoleIds string `json:"roleIds"`
}

const DefaultPwd = "10470c3b4b1fed12c3baac014be15fac67c6e815" //123456

const GrantInvalid = "ID或角色ID无效！"
